﻿using System;
using System.Collections.Generic;

using ZeroFormatter;

namespace TestProject
{
    /// <summary>
    /// 직원
    /// </summary>
    [ZeroFormattable]
    [Serializable]
    public class Employee
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region ID - ID

        /// <summary>
        /// ID
        /// </summary>
        [Index(0)]
        public virtual int ID { get; set; }

        #endregion
        #region 성명 - Name

        /// <summary>
        /// 성명
        /// </summary>
        [Index(1)]
        public virtual string Name { get; set; }

        #endregion
        #region 부서 - Department

        /// <summary>
        /// 부서
        /// </summary>
        [Index(2)]
        public virtual string Department { get; set; }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region 리스트 구하기 - GetList(count)

        /// <summary>
        /// 리스트 구하기
        /// </summary>
        /// <param name="count">카운트</param>
        /// <returns>리스트</returns>
        public static List<Employee> GetList(int count)
        {
            List<Employee> list = new List<Employee>();

            for(int i = 0; i < count; i++)
            {
                list.Add(new Employee { ID = i + 1, Name = $"직원 {i + 1}", Department = $"{i % 4 + 1}" });
            }

            return list;
        }

        #endregion
    }
}